How to get couchbase working for node 0.11.13?


#1

This is all I get:

felis@LoadBalancer:~/Dropbox$ node couchbase.js
/home/felis/node_modules/couchbase/lib/binding.js:17
throw e;
^
Error: Module did not self-register.
at Error (native)
at Module.load (module.js:349:32)
at Function.Module._load (module.js:305:12)
at Module.require (module.js:357:17)
at require (module.js:373:17)
at bindings (/home/felis/node_modules/couchbase/node_modules/bindings/bindings.js:74:15)
at tryLoadBinding (/home/felis/node_modules/couchbase/lib/binding.js:13:31)
at Object. (/home/felis/node_modules/couchbase/lib/binding.js:27:17)
at Module._compile (module.js:449:26)
at Object.Module._extensions…js (module.js:467:10)


#2

Anyone?


#3

Hi,

I have a similar problem with node 0.11.13. The nan module (0.8) couchbase is using won’t work in node 0.11.X.

So as long as they don’t do domething about this, you probably won’t be able to use the 0.11 branch of node.

I also ask a question here and never received any updates.


#4

They have corrected the bug I was waiting for, maybe you should have a look at their gihub repo.

good luck